/**
 * 打包阶段插件接口
 * @param  {Object} ret      一个包含处理后源码的结构
 * @param  {Object} conf     一般不需要关心，自动打包配置文件
 * @param  {Object} settings 插件配置属性
 * @param  {Object} opt      命令行参数
 * @return {undefined}
 */
var fs=require('fs');
var path=require('path');
var cc_process_cwd=process.cwd();
var config=fis.get('flz_projectconfig') || {};
var mockOpt=config["mock"] || {};
var mockData=require(path.join(cc_process_cwd,mockOpt['dataPath']));
var destPath=path.join(cc_process_cwd,mockOpt['destJsonPath']);
var confFile=path.join(cc_process_cwd,mockOpt['confFile']);


var fn_FileWhite=function(obj){
	var info=[];
	if(Object.prototype.toString.call(obj) == '[object Object]'){
		for(key in obj){
			obj[key].map(item => {
				fs.writeFileSync(path.join(destPath,`${item.name}.json`),JSON.stringify(item.res));
				info.push(`${key} ${item.reg} ${mockOpt['destJsonPath']}${item.name}.json`);
			});
		}
	}
	fs.writeFileSync(confFile,info.join("\r\n"));
}


module.exports = function (ret, conf, settings, opt) {
	if(mockOpt['use']){
		console.log('use_mock');
		fn_FileWhite(mockData);
	}
}